# Translations

To use a specific language translation you will need to change the default language code within your config.yml. If the translation is available, the plugin will attempt to download it, otherwise if a translation file matching the Language code format is found it will read that instead!

| Language             | Language Code |
| -------------------- | ------------- |
| English              | en\_US        |
| Brazilian Portuguese | pt\_BR        |

{% hint style="info" %}
We accept user translated files, if you would like to contribute, please contact us on Discord.
{% endhint %}

### Default Language File (en\_US.lang)

```
general:
    prefix: "&8[&eAuctionHouse&8]"
    notanumber: "&cThe entry &4%value% &cis not a valid number!"
    locked: "&cThe Auction House is currently locked!"
    notenoughmoney: "&cYou do not have enough money!"
    cantbidonown: "&cYou cannot bid on your own item!"
    cantbuyown: "&cYou cannot buy your own item!"
    blockeditem: "&cYou are not allowed to auction that item. (%item%)"
    air: "&cSorry, but you cannot sell air o.O"
    blocked: "&cSorry, you are not allowed to sell &e%item%"
    sellinglimit: "You cannot sell more items, please remove/sell current active items"

pricing:
    minbaseprice: "&cThe minimum base price must be &a$%price%"
    minstartingprice: "&cThe minimum starting bid price must be &a$%price%"
    minbidincrementprice: "&cThe minimum bid increment must be &a$%price%"
    maxbaseprice: "&cThe maximum base price is &a$%price%"
    maxstartingprice: "&cThe maximum starting bid price is &a$%price%"
    maxbidincrementprice: "&cThe maximum bid increment is &a$%price%"
    moneyremove: "&c&l- $%price%"
    moneyadd: "&a&l+ $%price%"

discord:
    player_lost: "Player Lost o.O"
    no_buyer: "No Buyer"
    not_sold: "Not Sold"
    not_bought: "Was not bought"
    sale_bid_win: "Won Bid"
    sale_immediate_buy: "Bought Immediately"
    is_bid_true: "true"
    is_bid_false: "false"

auction_filter:
    sale_types:
        biddable: "Biddable"
        non_biddable: "Not Biddable"
        both: "All"
    categories:
        all: "All"
        food: "Food"
        armor: "Armor"
        blocks: "Blocks"
        tools: "Tools"
        misc: "Misc"

auction:
    listed:
        withbid: "&eListed &fx%amount% &6%item% &e&lBuy Now&f: &a%base_price% &e&lStarting&f: &a%start_price% &e&lIncrement&f: &a%increment_price%"
        nobid: "&eListed &fx%amount% &6%item% &efor &a%base_price%"
    broadcast:
          withbid: "&e%player% listed &fx%amount% &6%item% &e&lBuy Now&f: &a%base_price% &e&lStarting&f: &a%start_price% &e&lIncrement&f: &a%increment_price%"
          nobid: "&e%player% listed &fx%amount% &6%item% &efor &a%base_price%"
    bidwon: "&eYou won the bid for&fx%amount% &6%item% &efor &a%price%"
    itemsold: "&eYou sold &6%item% &efor &a%price%"
    itemnotavailable: "&cThat item is no longer available :("
```

### Brazilian Portuguese (pt\_BR)

```
general:
  prefix: '&8[&eAuctionHouse&8]'
  notanumber: '&cOpa.. &4%value% &cnao é um numero valido!'
  locked: '&cA Casa de Leilões está atualmente bloqueada!'
  notenoughmoney: '&cVocê não tem dinheiro suficiente!'
  cantbidonown: '&cVocê não pode licitar em seu próprio item!'
  cantbuyown: '&cVocê não pode comprar seu próprio item!'
  blockeditem: '&cVocê não tem permissão para leiloar esse item. (%item%)'
  air: '&cDesculpe, mas você não pode vender ar o.O'
  blocked: '&cDesculpe, você não tem permissão para vender &e%item%'
  sellinglimit: Você não pode vender mais itens, remova/venda os itens ativos atuais
pricing:
  minbaseprice: '&cO preço base mínimo deve ser &a$%price%'
  minstartingprice: '&cO preço mínimo do lance inicial deve ser &a$%price%'
  minbidincrementprice: '&cO lance mínimo do lance deve ser&a$%price%'
  maxbaseprice: '&cO preço base máximo é &a$%price%'
  maxstartingprice: '&cO preço máximo do lance inicial é &a$%price%'
  maxbidincrementprice: '&cO aumento máximo do lance é &a$%price%'
  moneyremove: '&c&l- $%price%'
  moneyadd: '&a&l+ $%price%'
auction:
  listed:
    withbid: '&eListed &fx%amount% &6%item% &e&lCompra Agora&f: &a%base_price% &e&lStarting&f: &a%start_price% &e&lIncrement&f: &a%increment_price%'
    nobid: '&eListed &fx%amount% &6%item% &epor &a%base_price%'
  bidwon: '&eVocê venceu a licitação por &fx%amount% &6%item% &epor &a%price%'
  itemsold: '&eVocê vendeu &6%item% &epor &a%price%'
  itemnotavailable: '&cEsse item não está mais disponível :('
  broadcast:
    withbid: '&e%player% listed &fx%amount% &6%item% &e&lBuy Now&f: &a%base_price% &e&lStarting&f: &a%start_price% &e&lIncrement&f: &a%increment_price%'
    nobid: '&e%player% listed &fx%amount% &6%item% &efor &a%base_price%'
discord:
  player_lost: Player Lost o.O
  no_buyer: Sem Comprador
  not_sold: Não vendido
  not_bought: Não foi comprado
  sale_bid_win: Lance vencido
  sale_immediate_buy: Comprado imediatamente
  is_bid_true: 'Verdadeiro'
  is_bid_false: 'Falso'
auction_filter:
  sale_types:
    biddable: Biddable
    non_biddable: Not Biddable
    both: All
  categories:
    all: All
    food: Food
    armor: Armor
    blocks: Blocks
    tools: Tools
    misc: Misc
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tweetzy.ca/official-plugins/auction-house/translations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
